summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor Mammedov <imammedo@redhat.com>2019-05-02 16:52:02 +0200
committerMichael S. Tsirkin <mst@redhat.com>2019-05-21 09:30:44 -0400
commitae3c12a015522621931383f0ddbff8a6a00f7866 (patch)
tree4e3e45d9fbbc9e6c2e4861187eb71c0d5ce219f1
parent3dc018749d2942fdb81676ab2b5948984c961a01 (diff)
downloadqemu-ae3c12a015522621931383f0ddbff8a6a00f7866.zip
tests: acpi: refactor rebuild-expected-aml.sh to dump ACPI tables for a specified list of targets
Make initial list contain x86_64. Signed-off-by: Igor Mammedov <imammedo@redhat.com> Reviewed-by: Philippe Mathieu-Daudé <philmd@redhat.com> Message-Id: <1556808723-226478-15-git-send-email-imammedo@redhat.com> Reviewed-by: Wei Yang <richardw.yang@linux.intel.com> Reviewed-by: Michael S. Tsirkin <mst@redhat.com> Signed-off-by: Michael S. Tsirkin <mst@redhat.com>
-rwxr-xr-xtests/data/acpi/rebuild-expected-aml.sh23
1 files changed, 11 insertions, 12 deletions
diff --git a/tests/data/acpi/rebuild-expected-aml.sh b/tests/data/acpi/rebuild-expected-aml.sh
index abdff70a0d..ff7e62249d 100755
--- a/tests/data/acpi/rebuild-expected-aml.sh
+++ b/tests/data/acpi/rebuild-expected-aml.sh
@@ -7,21 +7,12 @@
#
# Authors:
# Marcel Apfelbaum <marcel.a@redhat.com>
+# Igor Mammedov <imammedo@redhat.com>
#
# This work is licensed under the terms of the GNU GPLv2.
# See the COPYING.LIB file in the top-level directory.
-qemu=
-
-if [ -e x86_64-softmmu/qemu-system-x86_64 ]; then
- qemu="x86_64-softmmu/qemu-system-x86_64"
-elif [ -e i386-softmmu/qemu-system-i386 ]; then
- qemu="i386-softmmu/qemu-system-i386"
-else
- echo "Run 'make' to build the qemu exectutable!"
- echo "Run this script from the build directory."
- exit 1;
-fi
+qemu_bins="x86_64-softmmu/qemu-system-x86_64"
if [ ! -e "tests/bios-tables-test" ]; then
echo "Test: bios-tables-test is required! Run make check before this script."
@@ -29,6 +20,14 @@ if [ ! -e "tests/bios-tables-test" ]; then
exit 1;
fi
-TEST_ACPI_REBUILD_AML=y QTEST_QEMU_BINARY=$qemu tests/bios-tables-test
+for qemu in $qemu_bins; do
+ if [ ! -e $qemu ]; then
+ echo "Run 'make' to build the following QEMU executables: $qemu_bins"
+ echo "Also, run this script from the build directory."
+ exit 1;
+ fi
+ TEST_ACPI_REBUILD_AML=y QTEST_QEMU_BINARY=$qemu tests/bios-tables-test
+done
+
echo "The files were rebuilt and can be added to git."